{ final, prev, ... }:
prev.eww.overrideAttrs (old: rec {
  pname = "eww";
  version = "ebe5f349d184e79edc33199d064d9ec5f1e4dd9b";
  src = prev.fetchFromGitHub {
    owner = "elkowar";
    repo = "eww";
    rev = "${version}";
    hash = "sha256-WcAWIvIdGE0tcS7WJ6JlbRlUnKvpvut500NozUmJ6jY=";
  };
  buildInputs = old.buildInputs ++ [ final.libdbusmenu-gtk3 ];
  cargoDeps = old.cargoDeps.overrideAttrs (_: {
    name = "${pname}-vendor.tar.gz";
    inherit src;
    outputHash = "sha256-seq5aS+TCLAV3qnKu6fRYdSXC+w7vI4ae+A7dBdpw14=";

  });
})
